package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;


public enum PerformRulesTypeEnum {
    考勤绩效(1, "attend"),
    评价差评绩效(2, "review"),
    评价投诉绩效(3, "complain"),
    办件绩效(4, "gowork"),
    效能绩效(5, "effect"),
    其它绩效(1, "other");
    private Integer value;
    private String desc;

    PerformRulesTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PerformRulesTypeEnum getByValue(Integer value) {
        for (PerformRulesTypeEnum partAttendanceEnum : PerformRulesTypeEnum.values()) {
            if (partAttendanceEnum.getValue() == value) {
                return partAttendanceEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PerformRulesTypeEnum item : PerformRulesTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}